## mutter 3.35.91

=== debian/changelog ===
mutter (3.35.91-1ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 Feb 2020 15:33:52 +0100

mutter (3.35.91-1) experimental; urgency=medium

  * New upstream release
    - Fix clipboard handling when an app provides multiple types (LP: #1852183)
    - Fixed flickers around windows in Wayland sessions (LP: #1751593)
    - Fixed white Background when using scaling in vmware (LP: #1825842)
    - Fixed crash in meta_surface_actor_get_texture() (LP: #1859259)
    - Fixed Subpixel font rendering in shell panels (LP: #1836700)
    - Fixed bug causing workspaces not to be preserved on restart
      under X11 (LP :#1819890)
    - Using graphene (insted of cogl) for handling various primitives
    - Honor accelerometer orientation on monitor config changes
    - Make the cursor renderer use the transactional KMS API
    - Lots of crash fixes and cleanups
  * debian/patches:
    - refreshed
    - d/p/EGL-Include-EGL-eglmesaext.h.patch:
      + dropped, merged upstream
  * debian/control:
    - build-depend on graphene (1.9.3)
    - Add libgraphene-1.0-dev as libmutter-6-dev dependency
    - bump build dependency on meson 0.50
    - bump build dependency on libinput 1.7
    - bump package name to mutter-6
  * d/libmutter-6-0.symbols: update symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 17:42:35 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: mutter
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               dmz-cursor-theme <!nocheck>,
               gnome-control-center-data,
               gnome-pkg-tools (>= 0.10),
               gnome-settings-daemon-common <!nocheck>,
               gnome-settings-daemon-dev,
               gobject-introspection (>= 1.41.3),
               gsettings-desktop-schemas-dev (>= 3.33.0),
               gtk-doc-tools (>= 1.15),
               libcairo2-dev (>= 1.10.0),
               libcanberra-gtk3-dev,
               libdrm-dev (>= 2.4.83) [linux-any],
               libegl1-mesa-dev (>= 17) [linux-any],
               libfribidi-dev (>= 1.0.0),
               libgbm-dev (>= 10.3) [linux-any],
               libgirepository1.0-dev (>= 0.9.12),
               libgl1-mesa-dev (>= 7.1~rc3-1~),
               libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
               libglib2.0-dev (>= 2.61.1),
               libgnome-desktop-3-dev (>= 3.33.4),
               libgraphene-1.0-dev (>= 1.9.3),
               libgtk-3-dev (>= 3.19.8),
               libgudev-1.0-dev (>= 232) [linux-any],
               libice-dev,
               libinput-dev (>= 1.7) [linux-any],
               libjson-glib-dev (>= 0.13.2-1~),
               libnvidia-egl-wayland-dev [linux-any],
               libpam0g-dev,
               libpango1.0-dev (>= 1.2.0),
               libpipewire-0.2-dev (>= 0.2.2) [linux-any],
               libsm-dev,
               libstartup-notification0-dev (>= 0.7),
               libsystemd-dev (>= 212) [linux-any],
               libwacom-dev (>= 0.13) [linux-any],
               libwayland-dev (>= 1.13.0) [linux-any],
               libxau-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-res0-dev,
               libxcomposite-dev (>= 1:0.4),
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev (>= 2:1.7.4),
               libxinerama-dev,
               libxkbcommon-dev (>= 0.4.3),
               libxkbcommon-x11-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               meson (>= 0.50),
               pkg-config (>= 0.22),
               wayland-protocols (>= 1.18) [linux-any],
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-core [linux-any],
               xvfb <!nocheck>,
               xwayland [linux-any],
               zenity
Rules-Requires-Root: no
Standards-Version: 4.4.1
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter

Package: mutter
Architecture: any
Depends: gnome-settings-daemon-common,
         gsettings-desktop-schemas (>= 3.33.0),
         mutter-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: gnome-control-center (>= 1:3.25.2),
          xdg-user-dirs
Description: Example window manager using GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the mutter executable. It can be used as a
 standalone window manager, but is primarily intended for debugging.

Package: gir1.2-mutter-6
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmutter-6-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Mutter
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmutter-6-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gsettings-desktop-schemas (>= 3.33.0),
         mutter-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: apparmor (<< 2.13.3-5~),
        gnome-control-center (<< 1:3.25.2),
        gnome-settings-daemon (<< 3.31.91)
Description: window manager library from the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the window manager shared library, used by mutter
 itself, and gnome-shell.

Package: libmutter-6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-mutter-6 (= ${binary:Version}),
         gsettings-desktop-schemas-dev (>= 3.33.0),
         libatk1.0-dev,
         libcairo2-dev,
         libdrm-dev,
         libegl1-mesa-dev,
         libgbm-dev,
         libgdk-pixbuf2.0-dev,
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev,
         libinput-dev (>= 1.7),
         libjson-glib-dev,
         libmutter-6-0 (= ${binary:Version}),
         libpango1.0-dev,
         libudev-dev,
         libwayland-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Conflicts: libmutter-0-dev,
           libmutter-1-dev,
           libmutter-2-dev,
Description: Development files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the development files.

Package: mutter-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: shared files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the shared files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Degl_device=true \
	-Dwayland=true \
	-Dwayland_eglstream=true \
	-Dnative_backend=true
else
CONFFLAGS += \
	-Degl=false \
	-Dwayland=false \
	-Dnative_backend=false \
	-Dremote_desktop=false
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
else
CONFFLAGS += \
	-Ddefault_driver=gl
endif

# pipewire is not in Ubuntu main yet
ifeq ($(DEB_HOST_ARCH_OS),linux)
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	CONFFLAGS += -Dremote_desktop=false
else
	CONFFLAGS += -Dremote_desktop=true
endif
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dstartup_notification=true \
		-Dgles2=true \
		-Dgles2_libname=libGLESv2.so.2 \
		-Dinstalled_tests=false \
		-Dprofiler=false \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	-u XDG_CACHE_HOME \
	-u XDG_CONFIG_DIRS \
	-u XDG_CONFIG_HOME \
	-u XDG_DATA_DIRS \
	-u XDG_DATA_HOME \
	HOME=$(BUILDDIR)/HOME \
	XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
	meson test -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  TEST_COMMAND += --num-processes $(NUMJOBS)
endif

# Ignore test failures on hurd, kfreebsd and s390x. Although the test results
# indicate there may be a serious issue, the port maintainers may
# prefer we do the build anyway. I plan to file a bug for this later.
# Don't run the tests on mips since they either time out or fail too much,
# blocking migration to testing
override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	glib-compile-schemas $(BUILDDIR)/data
	mkdir -m 700 $(BUILDDIR)/HOME
	mkdir -m 700 $(BUILDDIR)/XRD
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 s390x,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
else ifeq (,$(filter mips mips64el mipsel,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
endif
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/mutter-6

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmutter-6-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/mutter-6

override_dh_strip:
	dh_strip --dbgsym-migration='mutter-dbg (<< 3.18.3-2~)'

## mutter 3.36.1

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('wayland',
  type: 'boolean',
  value: true,
  description: 'Enable Wayland support'
)

option('native_backend',
  type: 'boolean',
  value: true,
  description: 'Enable the native backend'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('egl_device',
  type: 'boolean',
  value: false,
  description: 'Enable EGLDevice and EGLStream renderer support'
)

option('wayland_eglstream',
  type: 'boolean',
  value: false,
  description: 'Enable Wayland EGLStream support client support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter core tests'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('profiler',
  type: 'boolean',
  value: true,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('xwayland_path',
  type: 'string',
  value: '',
  description: 'Path to Xwayland executable'
)

option('xwayland_grab_default_access_rules',
  type: 'string',
  value: 'gnome-boxes,remote-viewer,virt-viewer,virt-manager,vinagre,vncviewer,Xephyr',
  description: 'Comma delimited list of applications ressources or class allowed to issue X11 grabs in Xwayland'
)

option('xwayland_initfd',
  type: 'feature',
  value: 'auto',
  description: 'Whether -initfd argument is passed to Xwayland to guarantee services (e.g. gsd-xsettings) startup before applications'
)

=== debian/changelog ===
mutter (3.36.1-3ubuntu3) focal; urgency=medium

  * Ignore test failures on riscv64, like s390x, to unblock
    gnome-settings-daemon etc.

 -- William Grant <wgrant@ubuntu.com>  Fri, 17 Apr 2020 11:08:01 +1000

mutter (3.36.1-3ubuntu2) focal; urgency=medium

  * d/p/monitor-config-manager-Fallback-to-closed-laptop-lid-conf.patch:
    -  Fallback to closed laptop lid configuration if no other available
       (LP: #1793496)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Don't override non-fractionally scaled monitors scaling (LP: #1873348)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Apr 2020 22:04:59 +0200

mutter (3.36.1-3ubuntu1) focal; urgency=medium

  * Merge with debian, with new upstream releases and cherry-picked fixes:
    - Screens turn off when setting display scaling to 200% (LP: #1869750)
    - Use hardware cursor for DisplayLink devices (LP: #1867757)
    - Fix popup menus with using focus-follow-mouse (LP: #1871107)
    - Window manager key events are sent to the terminal (LP: #1866094)
    - Ensure assertion 'window->unmanaging || workspace != NULL' (LP: #1864326)
    - Shell crash on meta_wayland_surface_role_get_window (LP: #1869837)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed to respect upstream changes
    - Fixed a bug causing windows using direct-rendering to be continuously
      resized, keeping ability to use shell UI (LP: #1862081)
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Apr 2020 14:40:58 +0200

mutter (3.36.1-3) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-36 branch, commit 3.36.1-16-gdb164bcfa
    - Fix a crash during X11 drag-and-drop, for example when dragging
      a JPEG file onto GIMP's splash screen
    - Fix a crash in X11 input device handling
    - Translate coordinates of absolute input devices for rotated screens

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 11:18:37 +0100

mutter (3.36.1-2) experimental; urgency=medium

  * Team upload
  * Standards-Version: 4.5.0 (no changes required)
  * d/copyright: Consolidate entries and update
  * Update to upstream gnome-3-36 branch, commit 3.36.1-13-gbc47f0a1a

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Apr 2020 18:27:45 +0100

mutter (3.36.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: Update
  * Refresh patches
  * Update symbols file.
    Note that this includes ABI breaks: some symbols that are only used
    internally have disappeared from mutter's private fork of Clutter and
    Cogl. The only user of this version of mutter is GNOME Shell, which
    does not use these symbols.
  * d/patches: Update from gnome-3-36 branch up to 3.36.1-8-ge339a57dd
  * d/p/clutter-stage-Don-t-assume-stage-relayouts-reallocate-eve.patch:
    Add patch proposed upstream to fix a gnome-shell crash with the
    "Native window placement" extension.

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Apr 2020 14:23:52 +0100

mutter (3.36.0-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to ubuntu salsa branch
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr
  * d/p/clutter-master-clock-default-Sync-timelines-to-hardware-v.patch:
    - Improves smoothness and reduce input-to-output latency
  * debian/libmutter-6-0.symbols:
    - Update as per background mipmap levels patch symbol addition
  * Ubuntu bugs resolved since 3.35.91-1ubuntu1:
    - Higher than necessary CPU usage on mouse movement (LP: #1848951)
    - No mouse cursor drawn for radeon in Wayland sessions (LP: #1867080)
    - Restarting displays apps running on other workspaces (LP: #1819890)
    - Volume/brightness OSD make fullscreen video flicker (LP: #1828697)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Mar 2020 15:51:05 +0000

mutter (3.36.0-2) experimental; urgency=medium

  * control: Build against gnome-desktop 3.36 and break old gnome-shell. So we
    get dependencies on libgnome-desktop-3-19. Otherwise we get two different
    versions of gnome-desktop loaded into GNOME Shell, which crashes. Break
    old gnome-shell for the inverse reason - it needs to be upgraded otherwise
    we get the mismatch the other way around.

 -- Iain Lane <laney@debian.org>  Mon, 16 Mar 2020 13:20:44 +0000

mutter (3.36.0-1) experimental; urgency=medium

  * New upstream release
    + Fix placement of popup windows in multi-monitor setups
    + Fix invisible mouse cursor on some hardware
    + Updated translations

 -- Andre Moreira Magalhaes <andre@endlessm.com>  Fri, 13 Mar 2020 19:36:29 +0000

mutter (3.35.92-1) experimental; urgency=medium

  * New upstream release
    + Add side channel for starting required X11 services
    + Allow remote desktop services to inhibit animations
    + Avoid flicker when (un)redirecting windows
    + Fix clipping glitches in long text entries
    + Fix visibility of initially hidden windows
    + Implement scaled/transformed hardware cursors
    + Let BindConstraints update the preferred size
    + Make check-alive timeouts configurable
    + Make each stage view correspond to a single CRTC
    + Make Xwayland startup asynchronous
    + Ping windows on every window focus
    + Remove overhead from hot code paths
    + Support synchronized wayland popup moving
    + Update screen-cast code to PipeWire 0.3 API
    + Use DMA buffers for screencasting if possible
  * d/p/*: Rebase


=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
                libdrm-dev (>= 2.4.83) [linux-any],
+               libegl-dev,
                libegl1-mesa-dev (>= 17) [linux-any],
                libfribidi-dev (>= 1.0.0),
                libgbm-dev (>= 10.3) [linux-any],
@@ -31,7 +32,7 @@
                libgl1-mesa-dev (>= 7.1~rc3-1~),
                libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
                libglib2.0-dev (>= 2.61.1),
-               libgnome-desktop-3-dev (>= 3.33.4),
+               libgnome-desktop-3-dev (>= 3.36.0),
                libgraphene-1.0-dev (>= 1.9.3),
                libgtk-3-dev (>= 3.19.8),
                libgudev-1.0-dev (>= 232) [linux-any],
@@ -67,7 +68,7 @@
                libxt-dev,
                meson (>= 0.50),
                pkg-config (>= 0.22),
-               wayland-protocols (>= 1.18) [linux-any],
+               wayland-protocols (>= 1.19) [linux-any],
                xauth <!nocheck>,
                xkb-data,
                xserver-xorg-core [linux-any],
@@ -75,11 +76,11 @@
                xwayland [linux-any],
                zenity
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
 
 Package: mutter
 Architecture: any
@@ -137,7 +138,8 @@
          ${shlibs:Depends}
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
-        gnome-settings-daemon (<< 3.31.91)
+        gnome-settings-daemon (<< 3.31.91),
+        gnome-shell (<< 3.36)
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,10 @@
 	-Dnative_backend=true
 else
 CONFFLAGS += \
-	-Degl=false \
+	-Dudev=false \
+	-Dlibwacom=false \
 	-Dwayland=false \
+	-Dcore_tests=false \
 	-Dnative_backend=false \
 	-Dremote_desktop=false
 endif
@@ -36,13 +38,16 @@
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	CONFFLAGS += -Dremote_desktop=false
 else
-	CONFFLAGS += -Dremote_desktop=true
+	# this depends on Pipewire 0.3, which is not packaged yet
+	# and is quite complicated (e.g. it replaces Pulseaudio)
+	CONFFLAGS += -Dremote_desktop=false
 endif
 endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dstartup_notification=true \
+		-Degl=true \
 		-Dgles2=true \
 		-Dgles2_libname=libGLESv2.so.2 \
 		-Dinstalled_tests=false \
@@ -81,7 +86,7 @@
 	glib-compile-schemas $(BUILDDIR)/data
 	mkdir -m 700 $(BUILDDIR)/HOME
 	mkdir -m 700 $(BUILDDIR)/XRD
-ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 s390x,$(DEB_HOST_ARCH)))
+ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 riscv64 s390x,$(DEB_HOST_ARCH)))
 	-$(TEST_COMMAND)
 	-$(TEST_COMMAND_FLAKY)
 else ifeq (,$(filter mips mips64el mipsel,$(DEB_HOST_ARCH)))

=== debian/tests/control ===
Tests: libmutter-6-dev
Depends: build-essential,
         dbus,
         libmutter-6-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

## mutter 3.36.6

=== debian/changelog ===
mutter (3.36.6-1ubuntu0.20.04.2+lp1898738) focal; urgency=medium

  * Disable CRTCs if there is no monitor. (LP: #1898738)

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Tue, 01 Dec 2020 21:48:41 +0800

mutter (3.36.6-1ubuntu0.20.04.2) focal; urgency=medium

  * xrandr-scaling: Never try to set invalid screen sizes (again!)
    Looks like this change (introduced to fix LP:1889090) got lost while
    rebasing previous fixes, gbp has been a bad guy this time! (LP: #1896818)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Sep 2020 22:03:53 +0200

mutter (3.36.6-1ubuntu0.20.04.1) focal; urgency=medium

  * Merge with debian, containing new stable release (LP: #1896332)
  * debian/patches:
    - Refresh patches and drop applied ones
    - Don't set the font-dpi on clutter-backend-x11 (LP: #1892440)
    - Cherry-pick upstream night-switch fixes for 3.36 branch
    - Cherry-pick upstream fixes for handling X11 devices removal
      (LP: #1558886)
  * xrandr-scaling: Don't update UI scale factor on xrandr-manager creation
    (LP: #1892440)
  * debian/control: Revert pipewire version bumping
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr


 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 19 Sep 2020 17:21:12 +0200

mutter (3.36.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update symbols file
  * d/control.in, d/rules: Enable Pipewire on Debian (but not Ubuntu).
    Now that we have Pipewire 0.3, we can enable screencasting and remote
    desktop support again.

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 12:46:31 +0100

mutter (3.36.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Screencast fixes and improvements
    - Fix glitches when subsurfaces extend outside the toplevel
    - Improve background display in overview workspace switcher
    - Fix wine copy & paste
    - Plug memory leaks
  * Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Aug 2020 10:19:59 +0100

mutter (3.36.4-1) unstable; urgency=medium

  * New upstream stable release (LP: #1887998)
    - Fix crash on area screenshots with fractional scaling
    - Do not paint textures of fully obscured windows
    - Turn off CRTCs as well when enabling DPMS
    - Improve selection support
    - Use a more appropriate combine function on opaque areas
    - Fix remote desktop being broken without screencast session
    - Fix popovers disappearing on wayland and HiDPI
    - Fixed crashes (LP: #1870867, LP: #1857947)
    - Plugged memory leaks
  * d/p/screen-cast-Let-the-reason-for-recording-determine-what-t.patch,
    d/p/screen-cast-src-Add-flag-to-maybe_record.patch,
    d/p/screen-cast-src-Fix-signedness-of-timestamp-field.patch,
    d/p/screen-cast-src-Make-record-functions-return-an-error-whe.patch,
    d/p/screen-cast-src-Make-the-two-record-vfuncs-more-similarly.patch,
    d/p/screen-cast-src-Record-follow-up-frame-after-timeout.patch,
    d/p/screen-cast-src-Remove-follow-up-timeout-source-on-disabl.patch,
    d/p/screen-cast-src-Use-G_USEC_PER_SEC-instead-of-1000000.patch,
    d/p/screen-cast-window-stream-src-Fix-indentation.patch:
    - Import more fixes for screencasting and remote desktop

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 17 Jul 2020 21:12:56 +0200

mutter (3.36.4-0ubuntu0.20.04.2) focal; urgency=medium

  * xrandr-scaling: Never try to set invalid screen sizes (LP: #1889090)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 27 Jul 2020 17:04:41 +0200

mutter (3.36.4-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (LP: #1887998)
    - Fix crash on area screenshots with fractional scaling
    - Do not paint textures of fully obscured windows
    - Turn off CRTCs as well when enabling DPMS
    - Improve selection support
    - Use a more appropriate combine function on opaque areas
    - Fix remote desktop being broken without screencast session
    - Fix popovers disappearing on wayland and HiDPI
    - Fixed crashes (LP: #1870867, LP: #1857947)
    - Plugged memory leaks
  * d/p/screen-cast-Let-the-reason-for-recording-determine-what-t.patch,
    d/p/screen-cast-src-Add-flag-to-maybe_record.patch,
    d/p/screen-cast-src-Fix-signedness-of-timestamp-field.patch,
    d/p/screen-cast-src-Make-record-functions-return-an-error-whe.patch,
    d/p/screen-cast-src-Make-the-two-record-vfuncs-more-similarly.patch,
    d/p/screen-cast-src-Record-follow-up-frame-after-timeout.patch,
    d/p/screen-cast-src-Remove-follow-up-timeout-source-on-disabl.patch,
    d/p/screen-cast-src-Use-G_USEC_PER_SEC-instead-of-1000000.patch,
    d/p/screen-cast-window-stream-src-Fix-indentation.patch:
    - Import more fixes for screencasting and remote desktop
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Don't export patch-only private symbol
  * debian/libmutter-6-0.symbols:
    - Remove ubuntu-only private symbol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Jul 2020 16:16:36 +0200

mutter (3.36.3-1) unstable; urgency=medium

  * New upstream release (LP: #1881971)
   - Broadcast clipboard/primary offers
   - Fix monitor screen cast on X11
   - Implement touch-mode detecation for the X11 backend (LP: #1880596)
   - Drop external keyboard detection from touch-mode heuristics
   - Fix leaked DMA buffers in screencasts
   - Fixed crashes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 23:33:29 +0200

mutter (3.36.3-0ubuntu0.20.04.2) focal; urgency=medium

  * debian/control:
    - Revert BD on adwaita-icon-theme 3.36.1-2ubuntu3. It was just temporary fix
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:


## mutter 3.36.7+git20201123

=== debian/changelog ===
mutter (3.36.7+git20201123-0.20.04.1somerville1) focal; urgency=medium

  * Disable CRTCs if there is no monitor. (LP: #1898738) 

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Fri, 15 Jan 2021 17:32:40 +0800

mutter (3.36.7+git20201123-0.20.04.1) focal; urgency=medium

  * New upstream release and git snapshot (LP: #1903230)
    - Fix Night Light updates after DPMS
    - Fix IM handling on X11 (LP: #1899206, thanks to Gunnar Hjalmarsson for
      the initial cherry-pick)
    - Fix resizing of attached modal dialogs on wayland
    - Fix jumps when resizing windows using discrete steps
    - Fixed crashes
    - Plugged Memory leaks
    - Misc. bug fixes and cleanups
  * debian/libmutter-6-0.symbols: Update to match upstream changes.
    No symbol is a public one

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 04:27:46 +0100

## mutter 3.36.9

=== meson_options.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 option('gles2_libname',
   type: 'string',
-  value: 'libGLESv2.so',
+  value: 'libGLESv2.so.2',
   description: 'GLESv2 library file name'
 )

=== debian/changelog ===
mutter (3.36.9-0ubuntu0.20.04.2) focal; urgency=medium

  [ Yuan-Chen Cheng ]
  * d/p/mutter-wayland-seat-race-fix.patch:
    - Fix Xwayland crash Xwayland crash in gdm as screen off and touchscreen
      detach (cherry picked commits — LP: #1948894)
    - backported one chunk of above patch.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 20:10:34 +0100

mutter (3.36.9-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1919143)
    - Do not ping unmanaging windows
    - Improve freezes when switching workspace
    - Fix drag cancel animation when using geometry scaling
    - Fix stuck icon in DND operation between X11 and wayland
    - Fix restoring focus to windows using globally active input
    - Fix _NET_WM_FRAME_DRAWN timestamps
    - Fix unwanted position changes on window resize
    - Fix device configuration not being picked up on X11
    - Fix size hints with CSD
    - Disable CRTCs if there is no monitor (LP: #1905825)
    - Fixed crashes
    - Plugged memory leaks

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 31 Mar 2021 02:15:27 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                at-spi2-core <!nocheck>,
+               adwaita-icon-theme <!nocheck>,
                dbus <!nocheck>,
                dmz-cursor-theme <!nocheck>,
                gnome-control-center-data,
@@ -79,12 +80,13 @@
 Standards-Version: 4.5.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/focal
 
 Package: mutter
 Architecture: any
-Depends: gnome-settings-daemon-common,
+Depends: adwaita-icon-theme,
+         gnome-settings-daemon-common,
          gsettings-desktop-schemas (>= 3.33.0),
          mutter-common (>= ${source:Version}),
          zenity,
@@ -132,7 +134,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: gsettings-desktop-schemas (>= 3.33.0),
+Depends: adwaita-icon-theme,
+         gsettings-desktop-schemas (>= 3.33.0),
          mutter-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,7 @@
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	CONFFLAGS += -Dremote_desktop=false
 else
-	# this depends on Pipewire 0.3, which is not packaged yet
-	# and is quite complicated (e.g. it replaces Pulseaudio)
-	CONFFLAGS += -Dremote_desktop=false
+	CONFFLAGS += -Dremote_desktop=true
 endif
 endif
 
@@ -106,6 +104,3 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Llibmutter-6-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/mutter-6
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='mutter-dbg (<< 3.18.3-2~)'
